POST
/pages/breadcrumbsGet the breadcrumb trail for a page
Retrieves the breadcrumb trail for a page. Supply pageId to identify the page whose ancestors and hierarchy should be returned.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The identifier of the page whose breadcrumb trail you want to retrieve.
pageIdstringrequired
Page identifier (UUID or slug ID).
200Returns an array of breadcrumb items for the page.
dataarray<object>optional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user is forbidden from accessing the page.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the page does not exist.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to access the page. A 404 is returned when the page identified by pageId does not exist. pageId is required.